# Class GetUpdatedDataRequest

#### Hierarchy

- unknown
  - GetUpdatedDataRequest

- Defined in src/protobuf/pb_pb.d.ts:393
- Defined in src/protobuf/pb_pb.d.ts:418

#####
Index

### Constructors

constructor

### Methods

addExcludedKeys
clearExcludedKeysList
clearSenderNodeAddress
getExcludedKeysList
getNonce
getSenderNodeAddress
getVersion
hasSenderNodeAddress
serializeBinary
setExcludedKeysList
setNonce
setSenderNodeAddress
setVersion
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetUpdatedDataRequest(): GetUpdatedDataRequest

- #### Returns GetUpdatedDataRequest

  Inherited from jspb.Message.constructor

## Methods

### addExcludedKeys

- addExcludedKeys(value: string | Uint8Array, index?: number): GetUpdatedDataRequest

- #### Parameters

  - ##### value: string | Uint8Array

  - ##### `Optional` index: number

  #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:405

### clearExcludedKeysList

- clearExcludedKeysList(): GetUpdatedDataRequest

- #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:404

### clearSenderNodeAddress

- clearSenderNodeAddress(): GetUpdatedDataRequest

- #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:397

### getExcludedKeysList

- getExcludedKeysList(): (string | Uint8Array)[]

- #### Returns (string | Uint8Array)[]

  - Defined in src/protobuf/pb_pb.d.ts:402

### getNonce

- getNonce(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:399

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:394

### getVersion

- getVersion(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:407

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:396

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:410

### setExcludedKeysList

- setExcludedKeysList(value: (string | Uint8Array)[]): GetUpdatedDataRequest

- #### Parameters

  - ##### value: (string | Uint8Array)[]

  #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:403

### setNonce

- setNonce(value: number): GetUpdatedDataRequest

- #### Parameters

  - ##### value: number

  #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:400

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): GetUpdatedDataRequest

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:395

### setVersion

- setVersion(value: string): GetUpdatedDataRequest

- #### Parameters

  - ##### value: string

  #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:408

### toObject

- toObject(includeInstance?: boolean): GetUpdatedDataRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetUpdatedDataRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:411

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetUpdatedDataRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:414

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetUpdatedDataRequest, reader: BinaryReader): GetUpdatedDataRequest

- #### Parameters

  - ##### message: GetUpdatedDataRequest

  - ##### reader: BinaryReader

  #### Returns GetUpdatedDataRequest

  - Defined in src/protobuf/pb_pb.d.ts:415

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetUpdatedDataRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetUpdatedDataRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:413

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetUpdatedDataRequest): GetUpdatedDataRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetUpdatedDataRequest

  #### Returns GetUpdatedDataRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:412

Generated using TypeDoc